declare enum TokenSchemeType {
    Simple = 0
}
declare abstract class TokenScheme {
    readonly type: TokenSchemeType;
    constructor(type: TokenSchemeType);
    /**
     * The type of token scheme.
     */
    getType(): TokenSchemeType;
}
/**
 * Simple token scheme.
 */
declare class SimpleTokenScheme extends TokenScheme {
    readonly mintedTokens: bigint;
    readonly meltedTokens: bigint;
    readonly maximumSupply: bigint;
    constructor(mintedTokens: bigint, meltedTokens: bigint, maximumSupply: bigint);
    /**
     * Amount of tokens minted.
     */
    getMintedTokens(): bigint;
    /**
     * Amount of tokens melted.
     */
    getMeltedTokens(): bigint;
    /**
     * Maximum supply of tokens controlled.
     */
    getMaximumSupply(): bigint;
}
declare const TokenSchemeDiscriminator: {
    property: string;
    subTypes: {
        value: typeof SimpleTokenScheme;
        name: any;
    }[];
};
export { TokenSchemeDiscriminator, TokenScheme, TokenSchemeType, SimpleTokenScheme, };
